package com.bocloud.cmp.entity.enums.jumpserver;

/**
 * tui - 会话；online - 在线；db - 数据库；gui - 图形; file - 文件传输。
 */
public enum ResourceAuditType {
    TUI("tui"),
    ONLINE("online"),
    GUI("gui"),
    DB("db"),
    FILE("file"),
    ;
    private final String value;

    ResourceAuditType(String value) {
        this.value = value;
    }

    public static ResourceAuditType byValue(String value) {
        for (ResourceAuditType type : ResourceAuditType.values()) {
            if (type.value == value) {
                return type;
            }
        }
        return null;
    }

    public String getValue() {
        return value;
    }
}
